Bug 372439

Summary: Export to PDF in custom size, does not export to the desired size, unfortunately, but to default size (A4).
Product: [Applications] krita Reporter: felipe.facundes <felipe.facundes>
Component: File formatsAssignee: Krita Bugs <krita-bugs-null>
Status: RESOLVED WORKSFORME    
Severity: normal CC: halla, rafal.trashbin
Priority: NOR    
Version: 3.0.1.1   
Target Milestone: ---   
Platform: Archlinux   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Export to PDF in custom size, does not export to the desired size, unfortunately, but to default size (A4).

Description felipe.facundes 2016-11-13 16:58:26 UTC
Created attachment 102212 [details]
Export to PDF in custom size, does not export to the desired size, unfortunately, but to default size (A4).

Export to PDF in custom size, does not export to the desired size, unfortunately, but to default size (A4).
Comment 1 Halla Rempt 2016-11-14 13:29:25 UTC
Hm, that works for me...
Comment 2 Halla Rempt 2016-12-08 13:59:57 UTC
If I create an image, say 1600x1200 pixels and then export to a 100mm x 100mm pdf, I get a 100mm x 100mm pdf -- if that's not what you meant, I must have misunderstood you.

Though I also have to admit that Krita's support for writing to a pdf is extremely limited. It's much better to use Scribus to create pdf's.
Comment 3 felipe.facundes 2016-12-09 21:42:50 UTC
Yeah. That's basically what I meant.

The problem only happens when I export to custom size.

I noticed that Krita does not export in custom size, regardless of size.

Export properly, if it is preset.

So it's a Bug.
Comment 4 Halla Rempt 2016-12-10 13:59:36 UTC
Well, that works for me, I get a pdf of 100mm x 100mm.
Comment 5 felipe.facundes 2016-12-10 20:03:52 UTC
That is, it will be impossible to create a business card with Krita.

Change format, you lose a lot of quality. The ideal is the PDF.


Graphics (Print Shop, "Off Set Shop") accept only PDF format.
Comment 6 Halla Rempt 2016-12-12 10:40:52 UTC
If you want to create a PDF for printing, I really recommend using Scribus, which is also open source. Krita's PDF support is very limited. That said, I can produce a pdf at a given custom format. We might improve our PDF support at one point, but that is not going to happen soon.
Comment 7 Rafal 2017-01-21 02:43:52 UTC
I have the same problem here. During the export, the dimensions are set in mm. I want to export a custom size of 314mm x 399mm. When i open created pdf and look at its dimenstions it says 890mm x 1131 mm.
Comment 8 Halla Rempt 2017-01-21 12:32:53 UTC
Git commit 30441fda12d6030c73a30d6242f3f6f5053c3688 by Boudewijn Rempt.
Committed on 21/01/2017 at 12:30.
Pushed by rempt into branch 'master'.

Remove the PDF export menu option
CCMAIL: kimageshop@kde.org

People really should use Scribus (http://scribus.net) to make PDF's,
not Krita, where the the PDF export code depends on QPrinter, which
just isn't powerful enough.

Krita is for creating images; for printing stuff, whether to PDF
or printer, use a dedicated application.

M  +3    -3    libs/ui/KisMainWindow.cpp
M  +1    -0    libs/ui/KisMainWindow.h

https://commits.kde.org/krita/30441fda12d6030c73a30d6242f3f6f5053c3688
Comment 9 Halla Rempt 2017-01-21 12:33:24 UTC
Git commit 8e2e0faaac8cfe3eee95f67e5e61d7fc31c9d289 by Boudewijn Rempt.
Committed on 21/01/2017 at 12:33.
Pushed by rempt into branch 'krita/3.1'.

Remove the PDF export menu option
CCMAIL: kimageshop@kde.org

People really should use Scribus (http://scribus.net) to make PDF's,
not Krita, where the the PDF export code depends on QPrinter, which
just isn't powerful enough.

Krita is for creating images; for printing stuff, whether to PDF
or printer, use a dedicated application.

M  +3    -3    libs/ui/KisMainWindow.cpp
M  +1    -0    libs/ui/KisMainWindow.h

https://commits.kde.org/krita/8e2e0faaac8cfe3eee95f67e5e61d7fc31c9d289